module GAME {


    export class FakeName {

        static pnames = [
            "Doudida",
            "Schiltz",
            "Sam",
            "Clement",
            "Zakarys",
            "Kennyss",
            "Danygans",
            "Honikou",
            "Jiraw",
            "FKL",
            "Maggy",
            "Hector",
            "Nelly",
            "Bouffon",
            "Baguette",
            "PewPew	",
            "DarkLuffy",
            "PeopleAreBad",
            "KetchupVSme",
            "<3",
            "9blagues",
            "Louismag",
            "JS",
            "Zultrain",
            "Mandalore",
            "Bahamut",
            "Kuitar",
            "Atapataco",
            "Unity",
            "Tuz",
            "OnePunchMan",
            "Kikoolol",
            "Kevin666",
            "Darkkikoo",
            "WOW",
            "CAPS",
            "Dark64",
            "Tartine",
            "Tartuf",
            "Paga",
            "iRaimbow",
            "Bugz",
            "Ncoco",
            "GaryBG",
            "Doweig",
            "AppartCity",
            "Marseille",
            "Guillaume",
            "Faia",
            "Arnaud",
            "Profizi",
            "Aurelien",
            "Leroy",
            "Ninja",
            "Bacon",
            "GOT",
            "OnionRings",
            "Davide",
            "CrunchyNapkin",
            "LordHorror",
            "Waffle",
            "BananA",
            "BR0!",
            "Legendary13",
            "Sausage",
            "Yourself",
            "Mom",
            "Dad",
            "@$$@$$IN",
            "Eklops",
            "WarezCoc",
            "Uokinoh",
            "Meat",
            "ChickenDips",
            "Grandma",
            "Dead",
            "MJ",
            "Women",
            "Men",
            "Human",
            "Mars",
            "XXX",
            "Lambospeed",
            "Butterbean",
            "Fried",
            "D4rKJ0rd4n13",
            "JustinSwagBieber",
            "SqualalaMan",
            "ViagraPancakes",
            "Predator60",
            "Dovakindupenis",
            "JambonBurst",
            "XxDarkdeathxX",
            "Chevaliernoir83",
            "MustFeedTop",
            "Daddy",
            "Mummy",
            "Failure",
            "Poop",
            "AliCat",
            "McClaw	",
            "Angelicat",
            "Benatar",
            "Catalie",
            "Chairwoman",
            "Clawdia",
            "Empress",
            "Purry",
            "KatyPurry",
            "MissThang",
            "Veronicat",
            "Meow",
            "Elvis",
            "NotoriousC.A.T",
            "Jason",
            "Picatso",
            "Catsby	",
            "Shakespaw",
            "Catapult",
            "Cattilac",
            "Cat-man-do",
            "Ewok",
            "Leak",
            "Pyddt",
            "Patou",
            "Guidru",
            "TheBoss",
            "Winky",
            "Majesty",
            "Wigglebutt",
            "Kraken",
            "Daily",
            "FightKub",
            "Reverse",
            "Basket",
            "Montacat",
            "ChewBarka",
            "BarkTwain",
            "Jimmy",
            "BIGGY",
            "Prince",
            "King",
            "Mister.W",
            "Bones",
            "Dobby",
            "Elmo",
            "Frodo",
            "Pika",
            "Rocko",
            "LittleYoda",
            "Barney",
            "Kevin",
            "Larry",
            "Thomas",
            "oLGA",
            "Pam",
            "Rufus",
            "sqlut",
            "Waldo",
            "Vald",
            "Attila",
            "Baloo",
            "Bruiser",
            "Jabba",
            "Moos",
            "Rex",
            "Tank",
            "Zeus",
            "Zigounette",
            "Sushi",
            "Wave",
            "AquaBob",
            "Finley",
            "Cod",
            "Larry",
            "SeaBeast",
            "Pirate",
            "Velo",
            "Tram",
            "Margaux<3",
            "Cypril",
            "Anne",
            "Bubba",
            "Nekfeu",
            "IAM",
            "Banshey",
            "Paladin",
            "DAOC",
            "War",
            "Animal",
            "Bogdar",
            "Planetimedia",
            "Chateau",
            "Good",
            "Bad",
            "Happy",
            "Ugly",
            "O_O",
            "Yaourt",
            "CHT",
            "Zzz",
            "Player",
            "zoulou",
            "m_2",
            "bogoss_13",
            "Jessica_12",
            "Siprien",
            "Normol",
            "Skwizi",
            "Squ",
            "Lomepale",
            "MJ",
            "1",
            "23",
            "Machina2",
            "Syrup",
            "Kenysss",
            "Zombysss",
            "Vampire",
            "(,...,)",
            "designer_",
            "archi",
            "ONI",
            "#1",
            "Summer",
            "Black",
            "Porte",
            "INC",
            "w_w",
            "King_t",
            "Joker",
            "AS",
            "M_AS_S",
            "diddy",
            "Random",
            "Dasth",
            "FKL",
            "uMk",
            "uNIk",
            "Jesus",
            "bad",
            "is",
            "aRMY",
            "YES_SIR",
            "death",
            "uDEADu",
            "cOLOR",
            "DJO",
            "lili",
            "af#",
            "they2",
            "CHINA#2",
            "FRANCE",
            "OM	",
            "Marseille",
            "Epitech_42",
            "_42_",
            "6_2_5",
            "STU_2",
            "pLAYER",
            "Faja",
            "Corsini",
            "Patricia",
            "Enzo13",
            "Palerm0",
            "mamy <3",
            "papy <3"
        ];

        static getNew() {
            return FakeName.pnames[Math.floor(Math.random() * FakeName.pnames.length)];
        }
    }
}